using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples
{
    public partial class DisplayASimpleMap : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
                Map1.CurrentExtent = new RectangleShape(-140, 60, 140, -60);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(MapPath("~/SampleData/world/cntry02.shp"));
                worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(255, 243, 239, 228), GeoColor.FromArgb(255, 218, 193, 163), 1);
                worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                Map1.StaticOverlay.Layers.Add(worldLayer);

                Feature feature = new Feature(new RectangleShape(-110.22, 50, -80.03, 30));
                feature.ColumnValues.Add("Tooltip", "This is a demo message.");

                InMemoryFeatureLayer shapeLayer = new InMemoryFeatureLayer();
                shapeLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
                shapeLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                shapeLayer.Open();
                shapeLayer.InternalFeatures.Add(feature);
                shapeLayer.Close();
                Map1.StaticOverlay.Layers.Add(shapeLayer);
                
                Map1.HighlightOverlay.FeatureSource.Open();
                Map1.HighlightOverlay.Columns.Add(new FeatureSourceColumn("Tooltip"));
                Map1.HighlightOverlay.FeatureSource.Close();
                Map1.HighlightOverlay.Features.Add("feature", feature);
                Map1.HighlightOverlay.Style.FillColor = GeoColor.StandardColors.Transparent;
                Map1.HighlightOverlay.Style.OutlineWidth = 0;
                Map1.HighlightOverlay.HighlightStyle = Map1.HighlightOverlay.Style;
            }
        }
    }
}
